diff tests/test.sh @ 0:581b1b150a4d

* copy to sonic-annotator
author Chris Cannam
date Thu, 11 Dec 2008 10:22:33 +0000
parents
children 9cc5e78dcfbd
line wrap: on
line diff
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/tests/test.sh	Thu Dec 11 10:22:33 2008 +0000
@@ -0,0 +1,25 @@
+#!/bin/bash
+
+mypath=`dirname $0`
+
+for x in \
+    supportprogs \
+    helpfulflags \
+    transforms-basic \
+    audioformat \
+    as-advertised \
+    rdf-writer \
+    rdf-destinations \
+    summaries \
+    ; do
+
+    echo -n "$x: "
+    if bash $mypath/test-$x.sh; then
+	echo test succeeded
+    else
+	echo "*** Test FAILED"
+	exit 1
+    fi
+
+done
+